LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Variables
com::sun::star::datatransfer::clipboard::RenderingCapabilities Constant Group Referencepublished

These flags describe the capabilities a system clipboard has to transfer data to other applications via the OS. More...

## Variables
const byte | Delayed = 1
| The implementation supports delayed rendering.
const byte | Persistant = 2
| The implementation is able to store the data persistent in the system so that it does not get lost when the source application no longer exist.
const byte | Persistent = 2
| The implementation is able to store the data persistent in the system so that it does not get lost when the source application no longer exist.

## Detailed Description

These flags describe the capabilities a system clipboard has to transfer data to other applications via the OS.

See also
  com::sun::star::datatransfer::clipboard::SystemClipboard

## Variable Documentation

## ◆ Delayed

const byte Delayed = 1

The implementation supports delayed rendering.

## ◆ Persistant

const byte Persistant = 2

The implementation is able to store the data persistent in the system so that it does not get lost when the source application no longer exist.

Deprecated
  since 7.1, rather use "Persistent" const

## ◆ Persistent

const byte Persistent = 2

The implementation is able to store the data persistent in the system so that it does not get lost when the source application no longer exist.